#
# spec file for package zelda-roth-se
#
# Copyright (c) 2018-2019 The Packman Team.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zelda-roth-se
Version:        1.2.1
Release:        1.7
Summary:        Remake of Zelda Return of the Hylian
License:        GPL-3.0-only AND CC-BY-SA-4.0 AND NonFree
Group:          Amusements/Games/RPG
URL:            http://www.solarus-games.org/games/zelda-return-of-the-hylian-se/
Source0:        https://gitlab.com/solarus-games/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
# License file retrieved from upstream dev branch
Source1:        license.txt
# PATCH-FIX-UPSTREAM zelda-roth-se-1.1.0-dont-require-cpp-compiler.patch -- it's not written in C++
Patch0:         zelda-roth-se-1.1.0-dont-require-cpp-compiler.patch
# PATCH-FIX-UPSTREAM zelda-roth-se-1.2.0-reproducible-build.patch -- attempt to make the build reproducible
Patch1:         zelda-roth-se-1.2.0-reproducible-build.patch
BuildRequires:  cmake
BuildRequires:  hicolor-icon-theme
BuildRequires:  zip
Requires:       solarus >= 1.6
BuildArch:      noarch

%description
Zelda Return of the Hylian Solarus Edition is a remake of
the original Zelda Return of the Hylian, a short and
pleasant fangame from Vincent Jouillat. The original game
was developed in C++ and was released in 2006.

This new version was developed with the Solarus engine by
Christopho, Mymy and Vincent Jouillat. While this is
essentially the same game, a lot of details were improved
thanks to the use of Solarus.

%prep
%autosetup -n %{name}-v%{version}

cp -a %{_sourcedir}/license.txt .

# Touch files to ensure zip will produce a deterministic output
# See https://reproducible-builds.org/docs/archives/
if [ -n "$SOURCE_DATE_EPOCH" ]; then
    find data -print0 | 
        xargs -0r touch --no-dereference --date="@${SOURCE_DATE_EPOCH}"
fi

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install

%files
%doc readme.md changelog.txt
%license license.txt
%{_bindir}/zelda_roth_se
%{_datadir}/applications/zelda-roth-se.desktop
%dir %{_datadir}/icons/hicolor/1024x1024
%dir %{_datadir}/icons/hicolor/1024x1024/apps
%{_datadir}/icons/hicolor/*/apps/zelda-roth-se.png
%{_datadir}/pixmaps/zelda-roth-se.png
%dir %{_datadir}/solarus/
%dir %{_datadir}/solarus/zelda_roth_se
%{_datadir}/solarus/zelda_roth_se/data.solarus

%changelog
* Sat Aug 10 2019 antoine.belvire@opensuse.org
- Update to version 1.2.1:
  * Fix ghostly proprietor sprite displaying issue (#114).
* Tue Dec 25 2018 antoine.belvire@opensuse.org
- Update to version 1.2.0:
  * Upgrade to Solarus 1.6.
  * Add Solarus Team logo.
  * Change the sound of the Solarus logo.
  * Dungeon 6: make medusa puzzle easier (#97).
  * Fix using joypad hat in menus.
  * Fix accents displaying in Spanish (#100).
  * Fix fire traversing torches after they get lit (#104).
  * Fix minor torch alignment errors (#103).
  * Fix minor tile issues.
- Rebase reproducible build patch:
  * Remove zelda-roth-se-1.1.0-reproducible-build.patch.
  * Add zelda-roth-se-1.2.0-reproducible-build.patch.
- Add hicolor-icon-theme as build requirement (new icons).
- Update source URL to GitLab.
- Add and install license (retrieved from upstream dev branch).
* Sun Apr 22 2018 antoine.belvire@opensuse.org
- Initial version: 1.1.0.
